<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcSolid Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcSolid Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcSolid" --><!-- doxytag: inherits="iBase" -->
<p>A solid representation of an entity.  
 <a href="structiPcSolid.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="solid_8h_source.html">propclass/solid.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcSolid:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcSolid.png" usemap="#iPcSolid_map" alt=""/>
  <map id="iPcSolid_map" name="iPcSolid_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,58,24"/>
</map>
 </div></div>

<p><a href="structiPcSolid-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollider.html">iCollider</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSolid.html#a9a168c03e953504a4950940a05f50e9e">GetCollider</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get (and create if needed) the collider for this mesh.  <a href="#a9a168c03e953504a4950940a05f50e9e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcMesh.html">iPcMesh</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSolid.html#a5f7ef85d2901eba24693adfb90408ede">GetMesh</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current mesh on which we're working.  <a href="#a5f7ef85d2901eba24693adfb90408ede"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSolid.html#a293b5080ebf63ea9f65de4563bfd0339">SetMesh</a> (<a class="el" href="structiPcMesh.html">iPcMesh</a> *mesh)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set mesh from which to create the solid representation.  <a href="#a293b5080ebf63ea9f65de4563bfd0339"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSolid.html#a8abab9025bb710a6f04dcd657d2de962">Setup</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Force creation of the collider (equivalent to calling <a class="el" href="structiPcSolid.html#a9a168c03e953504a4950940a05f50e9e" title="Get (and create if needed) the collider for this mesh.">GetCollider()</a> except that it forces a clean up of the previous collider).  <a href="#a8abab9025bb710a6f04dcd657d2de962"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSolid.html#a3047a5c8eab09df9ee538e00a6a19797">SetupBox</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBox3.html">csBox3</a> &amp;box)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize a box collider (so ignore the mesh for collider).  <a href="#a3047a5c8eab09df9ee538e00a6a19797"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A solid representation of an entity. </p>
<p>This is used for collision detection.</p>
<p>This property class supports the following actions (add prefix 'cel.move.solid.action.' if you want to access this action through a message):</p>
<ul>
<li>Setup: no parameters. Call this after creation to actually setup the collider from the mesh that is attached so same entity.</li>
<li>SetupBox: parameters 'min' (vector3) and 'max' (vector3). Setup a box collider (ignore attached mesh). </li>
</ul>

<p>Definition at line <a class="el" href="solid_8h_source.html#l00041">41</a> of file <a class="el" href="solid_8h_source.html">solid.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a9a168c03e953504a4950940a05f50e9e"></a><!-- doxytag: member="iPcSolid::GetCollider" ref="a9a168c03e953504a4950940a05f50e9e" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollider.html">iCollider</a>* <a class="el" href="structiPcSolid.html#a9a168c03e953504a4950940a05f50e9e">iPcSolid::GetCollider</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get (and create if needed) the collider for this mesh. </p>
<p>If this returns 0 it means that the mesh object on which this property class is being used does not support collision detection. </p>

</div>
</div>
<a class="anchor" id="a5f7ef85d2901eba24693adfb90408ede"></a><!-- doxytag: member="iPcSolid::GetMesh" ref="a5f7ef85d2901eba24693adfb90408ede" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcMesh.html">iPcMesh</a>* <a class="el" href="structiPcSolid.html#a5f7ef85d2901eba24693adfb90408ede">iPcSolid::GetMesh</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current mesh on which we're working. </p>

</div>
</div>
<a class="anchor" id="a293b5080ebf63ea9f65de4563bfd0339"></a><!-- doxytag: member="iPcSolid::SetMesh" ref="a293b5080ebf63ea9f65de4563bfd0339" args="(iPcMesh *mesh)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSolid.html#a293b5080ebf63ea9f65de4563bfd0339">iPcSolid::SetMesh</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMesh.html">iPcMesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set mesh from which to create the solid representation. </p>
<p>If not set a default mesh will be found from the parent entity. </p>

</div>
</div>
<a class="anchor" id="a8abab9025bb710a6f04dcd657d2de962"></a><!-- doxytag: member="iPcSolid::Setup" ref="a8abab9025bb710a6f04dcd657d2de962" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSolid.html#a8abab9025bb710a6f04dcd657d2de962">iPcSolid::Setup</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Force creation of the collider (equivalent to calling <a class="el" href="structiPcSolid.html#a9a168c03e953504a4950940a05f50e9e" title="Get (and create if needed) the collider for this mesh.">GetCollider()</a> except that it forces a clean up of the previous collider). </p>

</div>
</div>
<a class="anchor" id="a3047a5c8eab09df9ee538e00a6a19797"></a><!-- doxytag: member="iPcSolid::SetupBox" ref="a3047a5c8eab09df9ee538e00a6a19797" args="(const csBox3 &amp;box)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSolid.html#a3047a5c8eab09df9ee538e00a6a19797">iPcSolid::SetupBox</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBox3.html">csBox3</a> &amp;&#160;</td>
          <td class="paramname"><em>box</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialize a box collider (so ignore the mesh for collider). </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="solid_8h_source.html">solid.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
